Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved]dev-java/blackdown-jre unable to USE= nsplugin
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
coolone
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 278

PostPosted: Sun Oct 11, 2009 11:45 pm    Post subject: [solved]dev-java/blackdown-jre unable to USE= nsplugin Reply with quote

I am runing Amd64, i have enabled USE nsplugin for dev-java/blackdown-jre into /etc/portage/package.use
but it still emerge without "nsplugin"

Quote:
sudo emerge -av blackdown-jre

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ] dev-java/blackdown-jre-1.4.2.03-r14 USE="X alsa (-nsplugin) -odbc" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] n


anyone could help? thanks a lot
_________________
No Rolex on my wrist Or platinum on my chest 'Cause I don't need that shit to impress


Last edited by coolone on Mon Oct 12, 2009 12:00 am; edited 2 times in total
Back to top
View user's profile Send private message
Abraxas
l33t
l33t


Joined: 25 May 2003
Posts: 813

PostPosted: Sun Oct 11, 2009 11:49 pm    Post subject: Re: dev-java/blackdown-jre unable to USE= nsplugin Reply with quote

coolone wrote:
I am runing Amd64, i have enable USE=nsplugin for dev-java/blackdown-jre into /etc/portage/package.use
but it still emerge without "nsplugin"

Quote:
sudo emerge -av blackdown-jre

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ] dev-java/blackdown-jre-1.4.2.03-r14 USE="X alsa (-nsplugin) -odbc" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] n


anyone could help? thanks a lot


The use flag is masked on 64-bit blackdown because it is broken. Use sun-jdk if you want a 64-bit plugin.
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 7468

PostPosted: Sun Oct 11, 2009 11:53 pm    Post subject: Reply with quote

it's just
Code:
echo "dev-java/blackdown-jre nsplugin" >> /etc/portage/package.use

you seems to add it as USE=nsplugin within the file...
Back to top
View user's profile Send private message
coolone
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 278

PostPosted: Sun Oct 11, 2009 11:55 pm    Post subject: Reply with quote

thanks a lot for your quick reply. here is my package.use file looks like

dev-java/blackdown-jre nsplugin
dev-java/blackdown-jdk nsplugin

I think i did it right!
_________________
No Rolex on my wrist Or platinum on my chest 'Cause I don't need that shit to impress
Back to top
View user's profile Send private message
coolone
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 278

PostPosted: Sun Oct 11, 2009 11:57 pm    Post subject: Re: dev-java/blackdown-jre unable to USE= nsplugin Reply with quote

Abraxas wrote:
coolone wrote:
I am runing Amd64, i have enable USE=nsplugin for dev-java/blackdown-jre into /etc/portage/package.use
but it still emerge without "nsplugin"

Quote:
sudo emerge -av blackdown-jre

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ] dev-java/blackdown-jre-1.4.2.03-r14 USE="X alsa (-nsplugin) -odbc" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] n


anyone could help? thanks a lot



The use flag is masked on 64-bit blackdown because it is broken. Use sun-jdk if you want a 64-bit plugin.


thank you very much for the info
_________________
No Rolex on my wrist Or platinum on my chest 'Cause I don't need that shit to impress
Back to top
View user's profile Send private message
coolone
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 278

PostPosted: Mon Oct 12, 2009 12:11 am    Post subject: Reply with quote

i am still confuzed on one thing, I have 3 availavle
java-config --list-available-vms
The following VMs are available for generation-2:
*) Blackdown JDK 1.4.2.03 [blackdown-jdk-1.4.2]
2) Blackdown JRE 1.4.2.03 [blackdown-jre-1.4.2]
3) Sun JDK 1.6.0.15 [sun-jdk-1.6]

i have emerged Blackdown JDK Blackdown JRE and Sun JDK, if i am using Sun JDK 64bit plugin, Do i still need Blackdown JDK and Blackdown JRE? or I can unmerge them?
thanks
_________________
No Rolex on my wrist Or platinum on my chest 'Cause I don't need that shit to impress
Back to top
View user's profile Send private message
Abraxas
l33t
l33t


Joined: 25 May 2003
Posts: 813

PostPosted: Mon Oct 12, 2009 12:17 am    Post subject: Reply with quote

You don't need blackdown. I have only had the sun-jdk installed for years now.
Back to top
View user's profile Send private message
coolone
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 278

PostPosted: Mon Oct 12, 2009 12:21 am    Post subject: Reply with quote

thank you Abraxas :)
_________________
No Rolex on my wrist Or platinum on my chest 'Cause I don't need that shit to impress
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3056
Location: ROMA

PostPosted: Mon Oct 12, 2009 8:11 am    Post subject: Reply with quote

Abraxas wrote:
You don't need blackdown. I have only had the sun-jdk installed for years now.

Hi! I don't know how to get rid of blackdown!

blackdown was present on my system up to yesterday since I unmerged it, because it's a very old java version.
I use sun-jre-bin-1.6 but, today happened something bothering me: mozilla-firefox doesn't recognize my sun-jre plugin and I guess it is missing the blackdown.
I am on a 64bit architecture.

I tried to enable the nsplugin local use flag for sun-jre-bin package, but it wants to re-emerge the blackdown!!!

How can I solve this problem?
_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
coolone
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 278

PostPosted: Mon Oct 12, 2009 8:26 am    Post subject: Reply with quote

check your output first
run command: eselect java-nsplugin list

Available 32-bit Java browser plugins
Available 64-bit Java browser plugins
[1] sun-jdk-1.6 current

then you can select which one you want, as you can see i have only got one.
enable plugin, use command

eselect java-nsplugin set 64bit sun-jdk-1.6
_________________
No Rolex on my wrist Or platinum on my chest 'Cause I don't need that shit to impress
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3056
Location: ROMA

PostPosted: Mon Oct 12, 2009 9:03 am    Post subject: Reply with quote

Ok,

this is the output of eselect java-nsplugin list:
Code:
Available 32-bit Java browser plugins
Available 64-bit Java browser plugins

No more...

And:
Code:
# eselect java-nsplugin set 64bit sun-jdk-1.6
!!! Error: Expected "/usr/share/java-config-2/nsplugin/sun-jdk-1.6-javaplugin.so" to exist, but it doesn't.
!!! Error: Perhaps "sun-jdk-1.6" isn't a valid name of VM built with nsplugin?


Maybe I'm missing some package?
_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
coolone
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 278

PostPosted: Mon Oct 12, 2009 9:49 am    Post subject: Reply with quote

fbcyborg wrote:
Ok,

this is the output of eselect java-nsplugin list:
Code:
Available 32-bit Java browser plugins
Available 64-bit Java browser plugins

No more...

And:
Code:
# eselect java-nsplugin set 64bit sun-jdk-1.6
!!! Error: Expected "/usr/share/java-config-2/nsplugin/sun-jdk-1.6-javaplugin.so" to exist, but it doesn't.
!!! Error: Perhaps "sun-jdk-1.6" isn't a valid name of VM built with nsplugin?


Maybe I'm missing some package?


enable nsplugin USE for package sun-jdk-1.6
and re-emerge it. and try again.
_________________
No Rolex on my wrist Or platinum on my chest 'Cause I don't need that shit to impress
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3056
Location: ROMA

PostPosted: Mon Oct 12, 2009 10:02 am    Post subject: Reply with quote

Sure! It works now! Thank you very much.
I made a mistake before: I've put the nplugins USE flag for the sun-jre-bin instead of the sun-jdk!

Thank you.
_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
coolone
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 278

PostPosted: Mon Oct 12, 2009 10:13 am    Post subject: Reply with quote

fbcyborg wrote:
Sure! It works now! Thank you very much.
I made a mistake before: I've put the nplugins USE flag for the sun-jre-bin instead of the sun-jdk!

Thank you.


you are welcome, glad to know you got it sorted
_________________
No Rolex on my wrist Or platinum on my chest 'Cause I don't need that shit to impress
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum